Bug 136010 - issue threads / SCHED_RR
issue threads / SCHED_RR
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-10-16 15:09 EDT by Loic Domaigne
Modified: 2015-01-04 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:12:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Loic Domaigne 2004-10-16 15:09:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
We have developped a simple program for testing the creation of
threads in the SCHED_RR class on multi-processors system.  

We have found an issue on IA32 architecture. Some threads do not get

Tests shown that the problem is reproducible on both NPTL and
LinuxThreads, on various kernel 2.6.x kernel version (vanilla or
Red-Hat tailored), as well various glibc 2.3.x version.

Whether the proposed test is broken, or there is an issue somewhere.
In that latter case, we believe this could be in the kernel. 

The test /test_schedrr3.c.gz/ can be downloaded from the NPTL Bull
Open Source forum.

Version-Release number of selected component (if applicable):
kernel 2.6.5-1.358smp

How reproducible:

Steps to Reproduce:
1. download the /test_schedrr3.c.gz/, unzip and compile.
2. run the program. Start for instance 25 threads at prio 3 on a SMP

Actual Results:  The test times out showing the some threads didn't start.

Expected Results:  Theoritically, it should PASS. That is all the
threads are created and running in the SCHED_RR class at the given

Additional info: 
The test should be run on a multi-processor (>=2 CPUs) machine.
On a single-CPU machine, it must TIMEOUT.
Comment 1 Dave Jones 2005-04-16 00:12:28 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.